PowerCli vCenter Bağlantı Hatası – The underlying connection was closed: An unexpected error occurred on a send

vCenter 6.7 versiyonuna PowerCLI ile bağlanmak istediğimde aşağıdaki hatayı aldım:

Hatanın sebebi vCenter 6.7’den itibaren TLS 1.0 ve TLS 1.1’in disable olarak gelmesi. Çözüm olarak iki yol mevcut:

1- vCenter üzerinde TLS 1.0 ve TLS 1.1’i enable etmek.

2- vCenter’a bağlantı yapılan sunucuda komut satırından TLS 1.2 üzerinden bağlantı sağlamak.

İkinci yöntemi tercih ettim. Aşağıdaki kodu çalıştırarak TLS 1.2 üzerinden vCenter bağlantısı yapmak mümkün:

 

Kimler Neler Demiş?

avatar

This site uses Akismet to reduce spam. Learn how your comment data is processed.

  Subscribe  
Bildir